ch.qos.logback.core.rolling.helper

## Interface ArchiveRemover

All Superinterfaces:
  ContextAware

All Known Implementing Classes:
  SizeAndTimeBasedArchiveRemover, TimeBasedArchiveRemover

    public interface ArchiveRemover
    extends ContextAware

Given a date remove older archived log files.

Author:
  Ceki Gülcü

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clean(Date now)`
`Future<?>` `cleanAsynchronously(Date now)`
`void` `setMaxHistory(int maxHistory)`
`void` `setTotalSizeCap(long totalSizeCap)`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Method Detail

#### clean

    void clean(Date now)

#### setMaxHistory

    void setMaxHistory(int maxHistory)

#### setTotalSizeCap

    void setTotalSizeCap(long totalSizeCap)

#### cleanAsynchronously

    Future<?> cleanAsynchronously(Date now)